Subject: bug#71555: 29.3.50; Native-compilation sets some variable to nil unexpectedly.

From: Andrea Corallo <[email-masked]>
Date: Mon, 17 Jun 2024 04:00:08 -0400

Sévère Durand <[email-masked]> writes:

> Hello Mr.Andrea:
> Thanks for your reply and that of Mr.Gerd!
> I did not know that this was fixed on the master branch.  In this case, I think I can just add a notification to my
> package's readme, warning users that if they want to natively compile the package, then they should use the master branch
> (or the version 30) to avoid the bug.
> Thanks for the help!
> ---
> Durand

Hi Sévère,

another workaround that should work would be to add to your function:

(declare (speed 0))

This should work around the issue on all the already released releases.

Could you give it a try?

Thanks

  Andrea